#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>
#include "student.h"

int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);
    QQmlApplicationEngine engine;

    qRegisterMetaType<Grade>("Grade");
    engine.rootContext()->setContextProperty("student", new Student());
    qmlRegisterUncreatableType<GradesClass>("App.Grades", 1, 0, "Grades", "Not creatable enum");

    engine.load("qrc:/main.qml");
    return app.exec();
}
