#ifndef STUDENT_H
#define STUDENT_H

#include <QObject>
#include "grades.h"

class Student : public QObject
{
     Q_OBJECT
public:
    Student() {};
    ~Student() = default;
    Q_PROPERTY(Grade grade READ grade NOTIFY gradeChanged)
    Grade grade() { return m_grade; }
signals:
    void gradeChanged(Grade);
private:
    Grade m_grade = Grade::B;
};

#endif // STUDENT_H
